summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.AURINFO16
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD25
3 files changed, 57 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..401e75427e9
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,16 @@
+pkgbase = pure-mpfr
+ pkgdesc = An interface to the GNU mpfr library for performing multiprecision floating point arithmetic with proper rounding.
+ pkgver = 0.5
+ pkgrel = 1
+ url = http://purelang.bitbucket.org/
+ arch = i686
+ arch = x86_64
+ groups = pure-complete
+ groups = pure-math
+ license = LGPL3
+ depends = pure
+ source = https://bitbucket.org/purelang/pure-lang/downloads/pure-mpfr-0.5.tar.gz
+ md5sums = 0fb879739b5cdcaea6007a3c64a10f61
+
+pkgname = pure-mpfr
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..401e75427e9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = pure-mpfr
+ pkgdesc = An interface to the GNU mpfr library for performing multiprecision floating point arithmetic with proper rounding.
+ pkgver = 0.5
+ pkgrel = 1
+ url = http://purelang.bitbucket.org/
+ arch = i686
+ arch = x86_64
+ groups = pure-complete
+ groups = pure-math
+ license = LGPL3
+ depends = pure
+ source = https://bitbucket.org/purelang/pure-lang/downloads/pure-mpfr-0.5.tar.gz
+ md5sums = 0fb879739b5cdcaea6007a3c64a10f61
+
+pkgname = pure-mpfr
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..270f4327382
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: alastair pharo asppsa at gmail dot com
+# Maintainer: Bjoern Lindig bjoern _dot_ lindig _at_ googlemail _dot_ com
+
+pkgname=pure-mpfr
+pkgver=0.5
+pkgrel=1
+pkgdesc="An interface to the GNU mpfr library for performing multiprecision floating point arithmetic with proper rounding."
+arch=("i686" "x86_64")
+license=('LGPL3')
+url="http://purelang.bitbucket.org/"
+depends=('pure')
+makedepends=()
+groups=(pure-complete pure-math)
+source=("https://bitbucket.org/purelang/pure-lang/downloads/$pkgname-$pkgver.tar.gz")
+md5sums=('0fb879739b5cdcaea6007a3c64a10f61')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install || return 1
+}